package com.yc.education.mapper;

import com.yc.education.model.Newsen;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface NewsenMapper extends MyMapper<Newsen> {
    /*查询所有*/
    List<Newsen> getNews(@Param("titleName") String titleName, @Param("startTime") String startTime, @Param("endTime") String endTime);

    /*查询单条*/
    Newsen getNewsById(Integer id);



    /*前端默认查询最高值*/
    Newsen selNewsId();

    /*前端无条件查询*/
    List<Newsen> selNews();

    /*根据已知id查询上一页*/
    Newsen selNewsSize(Integer id);

    /*根据已知id查询下一页*/
    Newsen selNewsNum(Integer id);
}